package com.qingyun.service.agent;

import com.agentsflex.core.llm.response.AiMessageResponse;

import java.util.Map;
import java.util.logging.Logger;

public interface LlmStrategy {
    Logger logger = Logger.getLogger(LlmStrategy.class.getName());

    AiMessageResponse chat(String promptTemplate, Map<String, String> variables);
}
